Criar lembrete

POST
/v1/reminders

Agenda um lembrete de WhatsApp para um contato, grupo, segmento ou telefone; date AAAA-MM-DD e time HH:MM no fuso do workspace.

Escopo: reminders:write

Autorização

bearer reminders:write
headerAutorizaçãoBearer <token>

A chave de API de uma conta de serviço (sk_live_…, 600 requisições por minuto cada) ou um access token OAuth para o recurso /api/v1 (600 requisições por minuto por conexão).

Escopo: reminders:write

Cabeçalhos

Idempotency-Key?string

Até 200 letras, dígitos, - ou _. A primeira resposta a uma chave é repetida por 24 horas.

Tamanholength <= 200
application/json
  1. body
target*string
Valor em"contact""group""segment""phone""birthday"
contact_id?string
Tamanho1 <= length <= 100
group_id?string
Tamanho1 <= length <= 100
segment_id?string
Tamanho1 <= length <= 100
phone?string
Tamanholength <= 40
field_id?string
Tamanho1 <= length <= 100
conversation_id?string
Tamanho1 <= length <= 100
title?string
Tamanholength <= 80
text?string
Tamanho1 <= length <= 4000
messages?array<>
Itens1 <= items <= 20
number_id*string
Tamanho1 <= length <= 100
repeat*string
Valor em"once""daily""weekdays""weekly""monthly""yearly"
date?string
Padrão^\d{4}-\d{2}-\d{2}$
time*string
Padrão^([01]\d|2[0-3]):[0-5]\d$
weekday?integer
Intervalo0 <= value <= 6
month_day?integer
Intervalo1 <= value <= 31

Corpo da resposta

Feito.

application/json
  1. response
id*string
title*string
text*string
target*string
Valor em"contact""group""segment""phone""birthday"
contact_id*string|null
group_id*string|null
segment_id*string|null
phone*string|null
number_id*string
repeat*string
Valor em"once""daily""weekdays""weekly""monthly""yearly"
date*|null
time*string
weekday*|null
month_day*|null
time_zone*string
status*string
Valor em"active""done""cancelled"
next_run_at*|null
created_at*string
Formatodate-time
Exemplo de requisição
curl -X POST 'https://app.zaplin.com.br/api/v1/reminders' \  -H 'Authorization: Bearer sk_live_...' \  -H 'Content-Type: application/json' \  -d '{  "target": "contact",  "number_id": "string",  "repeat": "once",  "time": "string"}'
Exemplo de resposta
{  "id": "string",  "title": "string",  "text": "string",  "target": "contact",  "contact_id": "string",  "group_id": "string",  "segment_id": "string",  "phone": "string",  "number_id": "string",  "repeat": "once",  "date": "2026-10-17",  "time": "string",  "weekday": 0,  "month_day": 0,  "time_zone": "string",  "status": "active",  "next_run_at": "2026-10-17T12:00:00.000Z",  "created_at": "2026-10-17T12:00:00.000Z"}